package com.miya.fastcashier.utils;

public class MiYaPayPlantformPayWayEnum {

    public enum MiyaPayType {
        WEIXIN("1", "微信"),
        MIAOJIE("2", "喵街"),
        ALIPAY("3", "支付宝"),
        BAIDU("4", "百度"),
        YIZHIFU("5", "翼支付"),
        QQ("6", "QQ钱包"),
        YINSHANG("7", "银商资讯"),
        SUNING("8", "苏宁易付宝"),
        WENZHONG("9", "微众有折"),
        DAZHONGDIANPING("A", "大众点评"),
        YINSHANGPRE("B", "银商预付卡"),
        JINGDONG("C", "京东"),
        ALIPAY_L2("D", "支付宝"),
        ZHAOSHANGYINHANG("E", "招行"),
        ALIPAYINTERNATION("F", "支付宝国际"),
        WEIXININTERNATION("H", "微信国际"),
        BAINUO("I", "百糯"),
        GONGHANG("K", "工行"),
        FEIFAN("L", "飞凡"),
        HUARUIYINHANG("M", "华润银行"),
        YINLIANQIANBAO("N", "银联钱包"),
        JINGDONG2("P", "京东钱包2.0"),
        RUNQIANBAO("T", "润钱包"),
        YIDONG("U", "移动钱包"),
        MINSHENG("S", "民生银行"),
        YINLIANSHANGWU("Q", "银联商务");

        /**
         * 资源id
         */
        int resId;

        /**
         * code
         */
        String code;

        /**
         * 支付类型名称
         */
        String desc;

        MiyaPayType(String code, String desc) {
            this.code = code;
            this.desc = desc;
        }

        public String getCode() {
            return code;
        }

        public String getDesc() {
            return desc;
        }

        public static MiyaPayType find(String code) {

            for (MiyaPayType ec : MiyaPayType.values()) {
                if (ec.code.equals(code)) {
                    return ec;
                }
            }
            return null;
        }

    }





}
